Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Problemi con Java 7.
#1
Salve,
ho continui problemi con Java 7: il pacchetto non è aggiornabile e non riesco nemmeno a rimuoverlo per passare alla precedente versione che ho capito essere più stabile, infatti ogni volta che tento la rimozione mi compaiono messaggi di errore. Come posso fare a disinstallare Java 7 ed installare Java 6, possibilmente con una procedura semplice.
Questo è il messaggio di errore per gli aggiornamenti:

""installArchives() failed: Setting up oracle-java7-installer (7u3-0~eugenesan~precise4) ...
Downloading...
--2012-08-14 12:46:44-- http://download.oracle.com/otn-pub/java/...x64.tar.gz
Risoluzione di download.oracle.com (download.oracle.com)... 46.33.70.174
Connessione a download.oracle.com (download.oracle.com)|46.33.70.174|:80... connesso.
Richiesta HTTP inviata, in attesa di risposta... 302 Moved Temporarily
Posizione: https://edelivery.oracle.com/otn-pub/jav...x64.tar.gz [segue]
--2012-08-14 12:46:44-- https://edelivery.oracle.com/otn-pub/jav...x64.tar.gz
Risoluzione di edelivery.oracle.com (edelivery.oracle.com)... 2.22.30.174
Connessione a edelivery.oracle.com (edelivery.oracle.com)|2.22.30.174|:443... connesso.
Richiesta HTTP inviata, in attesa di risposta... 302 Moved Temporarily
Posizione: http://download.oracle.com/errors/downlo...05220.html [segue]
--2012-08-14 12:46:45-- http://download.oracle.com/errors/downlo...05220.html
Connessione a download.oracle.com (download.oracle.com)|46.33.70.174|:80... connesso.
Richiesta HTTP inviata, in attesa di risposta... 200 OK
Lunghezza: 5307 (5,2K) [text/html]
Salvataggio in: "./jdk-7u3-linux-x64.tar.gz"

0K ..... 100%% 1,17M=0,004s

2012-08-14 12:46:45 (1,17 MB/s) - "./jdk-7u3-linux-x64.tar.gz" salvato [5307/5307]

Download done.
sha256sum mismatch jdk-7u3-linux-x64.tar.gz
Oracle JDK 7 is NOT installed.
dpkg: error processing oracle-java7-installer (--configure):
subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
Errors were encountered while processing:
oracle-java7-installer ""
Vi ringrazio per l'aiuto
Giuseppe
Cita messaggio
#2
Vedi se può esser d'aiuto http://www.istitutomajorana.it/forum/Thr...r-gz-e-deb
Cita messaggio
#3
(14-08-2012, 16:10 )sg-1 Ha scritto: Vedi se può esser d'aiuto http://www.istitutomajorana.it/forum/Thr...r-gz-e-deb

Non sono riuscito a venire a capo della questione. Ho provato a disinstallare da Gestore Pacchetti ma non me lo consente e mi da la schermata di errore che allego.
Grazie per eventuali suggerimenti
Giuseppe
Cita messaggio
#4
ciao, prova da gestore aggiornamenti, impostazioni     e vedi se trovi ppa relative a java. se ci sono leva la spunta e riaggiorna.
Cita messaggio
#5
(22-09-2012, 11:00 )dxgiusti Ha scritto: ciao, prova da gestore aggiornamenti, impostazioni e vedi se trovi ppa relative a java. se ci sono leva la spunta e riaggiorna.

Ho fatto come mi hai suggerito. Ma cosi facendo ho disinstallato Java 7 oppure ho solo disabilitato la possibilità di ricevere aggiornamenti ?
Ciao
Cita messaggio
#6
Prova a rimuovere oracle 7 con

sudo rm /var/lib/dpkg/info/oracle-java7-installer*

Poi

sudo apt-get remove oracle-java7-installer*

Cita messaggio
#7
Dopo aver disinstallato oracle 7 puoi installare anche la versione open

sudo apt-get install openjdk-7-jre icedtea-plugin

Sul sito http://www.java.com/en/download/testjava.jsp
controlli che funzioni correttamente


Allegati Anteprime
   

Cita messaggio
#8
come standar è gia installato versione 6 e con gestore pacchetti è presente la versione 7 da installare , però ancora nessun aggiornamento l'ha chiamato. forse bisognerebbe aspettare con la 7
Cita messaggio
#9
(22-09-2012, 18:21 )dxgiusti Ha scritto: come standar è gia installato versione 6 e con gestore pacchetti è presente la versione 7 da installare , però ancora nessun aggiornamento l'ha chiamato. forse bisognerebbe aspettare con la 7

Si, ma il problema e che io sarei propenso ad usare la versione 6 che mi pare essere più stabile ed aggiornabile, ma, di fatto non è possibile perché non riesco a disinstallare la versione 7.
Cita messaggio
#10
Ciao a tutti, approfitto di questa discussione per segnalare un problema con java che ho da qualche tempo, controllando lo stato degli aggiornamenti sui componenti aggiuntivi di firefox, mi compare questo messaggio:


Allegati Anteprime
   
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)